Bug 523476 - 389-ds-base/glibmm24: conflicting perl provides
Summary: 389-ds-base/glibmm24: conflicting perl provides
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Install/Uninstall
Version: 1.2.1
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 434914 389_1.2.3
TreeView+ depends on / blocked
 
Reported: 2009-09-15 16:22 UTC by Bill Nottingham
Modified: 2015-12-07 16:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:46:33 UTC


Attachments (Terms of Use)
patch - ds (76.94 KB, patch)
2009-09-22 01:44 UTC, Rich Megginson
no flags Details | Diff
patch - admin (7.34 KB, patch)
2009-09-22 01:44 UTC, Rich Megginson
no flags Details | Diff

Description Bill Nottingham 2009-09-15 16:22:23 UTC
Description of problem:
$ repoquery -q --whatprovides perl(Util)
389-ds-base-0:1.2.2-3.fc12.x86_64
389-ds-base-0:1.2.2-3.fc12.i686
glibmm24-devel-0:2.21.5-1.fc12.x86_64
glibmm24-devel-0:2.21.5-1.fc12.i686

$ repoquery -q --whatrequires "perl(Util)"
389-admin-0:1.1.8-6.fc12.i686
glibmm24-devel-0:2.21.5-1.fc12.i686
glibmm24-devel-0:2.21.5-1.fc12.x86_64
389-ds-base-0:1.2.2-3.fc12.x86_64
389-admin-0:1.1.8-6.fc12.x86_64
389-ds-base-0:1.2.2-3.fc12.i686

So, these packages can get pulled into to satisfy each others's deps.

Version-Release number of selected component (if applicable):

glibmm24-0.2.21.5-1
389-ds-base-1.2.2-3

How reproducible:

100%

Comment 1 Rich Megginson 2009-09-15 16:49:58 UTC
We need to rename Util.pm(.in) to DSUtil.pm(.in)
/me grumbles at global namespace for perl modules, even though they are not installed in PERLLIB . . .

Comment 2 Denis Leroy 2009-09-15 22:52:38 UTC
That's really an unfortunate feature of RPM. Can the automatic detection of Perl dependencies be constrained to a set of known directories ? (or is that already the case ?)

I can patch the glibmm24 perl scripts to rename them, but that's somewhat error-prone.

Comment 3 Rich Megginson 2009-09-15 23:57:53 UTC
I'm definitely going to patch the 389 scripts.

Comment 4 Bill Nottingham 2009-09-16 03:30:17 UTC
CC'ing RPM maintainer, but, AFAIK, the perl auto-provides script isn't configurable.

Comment 5 Rich Megginson 2009-09-22 01:44:01 UTC
Created attachment 362019 [details]
patch - ds

Comment 6 Rich Megginson 2009-09-22 01:44:52 UTC
Created attachment 362020 [details]
patch - admin

Comment 7 Rich Megginson 2009-09-22 02:02:12 UTC
Reviewed by: nhosoi (Thanks!)
Fix Description: Rename "Util" to "DSUtil"
Platforms tested: Fedora 11 x86_64
Flag Day: no
Doc impact: no

To ssh://git.fedorahosted.org/git/389/ds.git
   cc89083..c11f181  master -> master

commit c11f1818c19233bdb6e54823b0c1352d4377fb75
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Mon Sep 21 15:30:00 2009 -0600

To ssh://git.fedorahosted.org/git/389/admin.git
   830ad0a..7eba108  master -> master

commit 7eba1088d5bc6743ed7da2c3fd47e539d8774c80
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Mon Sep 21 15:29:14 2009 -0600

Comment 8 Jenny Severance 2010-05-17 15:57:14 UTC
Is this applicable to RHEL or just Fedora?  If so, please add steps to verify.  Thanks

Comment 9 Rich Megginson 2010-05-17 16:14:08 UTC
(In reply to comment #8)
> Is this applicable to RHEL or just Fedora?  If so, please add steps to verify. 
> Thanks    

I think it is applicable to RHEL.  Try the repoquery as specified in the bug report. e.g. on RHEL5 x86_64
# repoquery -q --whatprovides 'perl(Util)'
glibmm24-devel-0:2.12.10-1.el5.i386
glibmm24-devel-0:2.12.10-1.el5.x86_64
glibmm24-devel-0:2.12.8-1.rhis.i386
# repoquery -q --whatprovides 'perl(DSUtil)'
<should list only redhat-ds-* packages>

Comment 10 Jenny Severance 2010-05-17 16:28:33 UTC
verified - F12 and RHEL 5 x86_64


[root@sssdldap jenny]# repoquery -q --whatprovides 'perl(Util)'
glibmm24-devel-0:2.22.1-1.fc12.x86_64
glibmm24-devel-0:2.22.1-1.fc12.i686
[root@sssdldap jenny]# repoquery -q --whatprovides 'perl(DSUtil)'
389-ds-base-0:1.2.5-1.fc12.x86_64
389-ds-base-0:1.2.5-1.fc12.i686
389-ds-base-0:1.2.3-1.fc12.x86_64
389-ds-base-0:1.2.3-1.fc12.i686


[root@dsrhel5-64vma ~]# repoquery -q --whatprovides "perl(Util)"
[root@dsrhel5-64vma ~]# repoquery -q --whatprovides "perl(DSUtil)"
redhat-ds-base-0:8.2.0-2010051704.el5dsrv.x86_64


Note You need to log in before you can comment on or make changes to this bug.